Subject: bug#22174: 24.4; emacs --daemon crashes when ssh is disconnected. I am using lucid x toolkit.

From: Eli Zaretskii <[email-masked]>
Date: Tue, 15 Dec 2015 17:48:13 +0200

> Date: Mon, 14 Dec 2015 22:05:54 -0600
> From: Cody Addison <[email-masked]>
> 
> Here are the steps I typically do:
> % ssh <machine>
> % tmux attach (This step doesn't seem important. I've tried this with and
> without tmux).
> % emacs --daemon
> % emacsclient -n -c
> % tmux detach
> % exit
> 
> At this point the server is toast.

Can you attach GDB to the daemon before the final step, and when it
crashes (or exits or aborts or whatever), produce a backtrace and post
it here?

One more thing to try is the latest emacs-25 branch, if you can build
it or get a hold of snapshot binaries somewhere.

Thanks.